---
title: Plugins
slug: Plugins
tags:
  - Flash
  - Plugins
---
<p class="summary">Plugins are shared libraries that users can install to display content that the browser can't display natively.</p>

<div class="warning">
<p><strong>Important</strong>: plugins are a legacy technology that are a security and performance problem for Firefox (and other browser) users. They may not be supported in the future. New content should not be written using Flash or any other plugin technology.</p>
</div>

<div class="row topicpage-table">
<div class="section">
<h2 id="Roadmap">Roadmap</h2>

<dl>
 <dt><a href="/en-US/docs/Plugins/Roadmap">Plugin Roadmap</a></dt>
 <dd>Information about the roadmap for Adobe Flash and other plugin support in Firefox.</dd>
</dl>

<p><strong>Roadmap Highlights</strong></p>

<ul>
 <li>Since <a href="/en-US/docs/Mozilla/Firefox/Releases/52">Firefox 52</a>, plugins other than Flash are not loaded by Firefox.</li>
 <li>Starting in <a href="/en-US/docs/Mozilla/Firefox/Releases/55">Firefox 55</a>, users will be asked to choose which sites may use Flash content. This feature will be rolled out gradually to Firefox users. </li>
 <li>Also From <a href="/en-US/docs/Mozilla/Firefox/Releases/55">Firefox 55</a> onwards, Flash and other plugins can no longer be loaded from any URL scheme except for http:// and https:// ({{bug("1335475")}}). See also <a href="https://www.fxsitecompat.com/en-CA/docs/2017/flash-can-now-be-loaded-only-from-http-https/">Flash can now be loaded only from HTTP/HTTPS</a> for more useful information.</li>
 <li>Starting with Firefox 56 in September 2017, Firefox for Android will remove all support for plugins (<a class="external external-icon" href="https://bugzilla.mozilla.org/show_bug.cgi?id=1381916" title="FIXED: Remove support for plugins (flash)">bug 1381916</a>).</li>
</ul>
</div>

<div class="section">
<h2 id="Tutorials_and_references">Tutorials and references</h2>

<p>The articles below are developer information about the  developing for click-to-play, and plugin blocking.</p>

<dl>
 <dt><a href="/en-US/docs/Plugins/Flash_to_HTML5">Flash to HTML5 migration guide</a></dt>
 <dd>This set of articles provides you with information on how to migrate existing Flash content and functionality to HTML and JavaScript.</dd>
 <dt><a href="/en-US/docs/Plugins/Flash_Activation:_Browser_Comparison">Flash Activation: Browser Comparison</a></dt>
 <dd>Each browser activates Flash slightly differently, which can be confusing for users and web authors.</dd>
 <dt><a href="/en-US/docs/Plugins/Blocking_By_Domain">Plugin Blocking By Domain</a></dt>
 <dd>In order to improve security and performance for Firefox users, Firefox maintains a list of sites that are not able to use plugins.</dd>
 <dt><a href="/en-US/docs/Archive/Plugins">Archived Information</a></dt>
 <dd>Legacy documentation about developing NPAPI plugins.</dd>
</dl>
</div>
</div>
